BOWTIE2-BUILD-L(1)

NAME
bowtie2-build-l - building a colorspace index for bowtie2

SYNOPSIS
bowtie2-build-l [options]* <reference_in> <bt2_index_base>

DESCRIPTION

Bowtie 2 version 2.5.5 by Ben Langmead (langmea@cs.jhu.edu, www.cs.jhu.edu/~langmea)

reference_in
    comma-separated list of files with ref sequences

bt2_index_base
    write bt2l data to files with this dir/basename

*** Bowtie 2 indexes will work with Bowtie v1.2.3 and later. ***

OPTIONS
-f reference files are Fasta (default)

-c  reference sequences given on cmd line (as <reference_in>)

-a/--noauto
    disable automatic -p/--bmax/--dcv memory-fitting

-p/--packed
    use packed strings internally; slower, less memory

--bmax <int>
    max bucket sz for blockwise suffix-array builder

--bmaxdivn <int>
    max bucket sz as divisor of ref len (default: 4)

--dcv <int>
    diff-cover period for blockwise (default: 1024)

--nodc
    disable diff-cover (algorithm becomes quadratic)

-r/--noref
    don't build .3/.4 index files

-3/--justref
    just build .3/.4 index files

-o/--offrate <int>
    SA is sampled every 2^<int> BWT chars (default: 5)

-t/--ftabchars <int>
    # of chars consumed in initial lookup (default: 10)

--threads <int>
    # of threads

--seed <int>
    seed for random number generator

-q/--quiet
    verbose output (for debugging)

--h/--help
    print this message and quit

--version
    print version information and quit